package currency;

/**
* Encapsulates information about a currency.
* (Currency can be extended with additional information like time, devisa values
 * etc.)
*/
public class Currency {
    private String bank;
    private String name;
    private float buy = 0;
    private float sale = 0;

    /**
    * Default constructor
    */
    public Currency() {}

    /**
    * Constructor
    */
    public Currency(String bank, String name) throws CurrencyException {
        if (!Currencies.isValidCurrency(name)) {
            throw new CurrencyException("Invalid currency: " + name);
        }

        this.bank = bank;
        this.name = name;
    }

    /**
    * Copy constructor
    */
    public Currency(Currency toCopy) {
        this.bank = toCopy.getBank();
        this.name = toCopy.getName();
        this.buy = toCopy.getBuy();
        this.sale = toCopy.getSale();
    }

    public String getBank() {
        return bank;
    }

    public float getBuy() {
        return buy;
    }

    public String getName() {
        return name;
    }

    public float getSale() {
        return sale;
    }

    public void setBuy(float buy) {
        this.buy = buy;
    }

    public void setSale(float sale) {
        this.sale = sale;
    }

    public boolean isSet() {
        return (buy != 0 && sale != 0);
    }

    /**
    * Creates a string from the actual currency
    */
    public String toString() {
        return "A(z) " + bank + " a(z) " + name + " valutát " + buy + " Ft. vásárlási és " +
                sale + " eladási árfolyamon jegyzi.";
    }
}
