package httptester;

import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Form;
import javax.microedition.midlet.MIDlet;
import javax.microedition.midlet.MIDletStateChangeException;

/**
* Implements MIDlet interface
*/
public class HttpTester extends MIDlet {

    /**
    * Finder object
    */
    private CurrencyFinder currencyFinder = null;
    /**
    * Form to show results
    */
    private Form screen = new Form("");

    /**
    * Implements startApp() method of the MIDlet interface.
     * Here starts the running of program
    */
    protected void startApp() throws MIDletStateChangeException {
        try {
            if (currencyFinder == null) {
                currencyFinder = new CurrencyFinder(this, screen);

                new Thread(currencyFinder).start();
            }

        } catch (Exception ex) {
            System.out.print(ex.toString());
        }

        Display.getDisplay(this).setCurrent(screen);
    }

    /**
    * Implements pauseApp() method of the MIDlet interface.
     * It runs in case of pausing interruption e.g. incoming call.
    */
    protected void pauseApp() {
        this.notifyPaused();
    }

    /**
    * Implements destroyApp() method of the MIDlet interface.
     * It runs in case of destroying the application e.g. exit.
    */
    protected void destroyApp(boolean bln) throws MIDletStateChangeException {
        this.notifyDestroyed();
    }
}
