package currency;

/**
 * Enumerates acceptable currencies. (Java 1.3 doesn't support enum types.)
 */
public class Currencies {
    public static final String EUR = "eur";
    public static final String USD = "usd";
    public static final String JPY = "jpy";

    /**
    * Decides wether a given String is a valid currency.
    */
    public static boolean isValidCurrency(String c) {
        return (EUR.equals(c) || USD.equals(c) || JPY.equals(c));
    }
}
