package httptester;

import connection.InternetConnection;
import currency.Banks;
import currency.Currencies;
import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;
import javax.microedition.midlet.MIDlet;

/**
 * Finds a the set value of given currency at a given bank.
 * Implements the Runnable interface to compute in a new thread
 * Implements the CommandListener interface to listen to the EXIT Command
 */
public class CurrencyFinder implements Runnable, CommandListener {
    /**
    * MIDlet of this object
    */
    private MIDlet parent;
    /**
    * Displayable object to show results.
    */
    private Form screen;
    /**
    * An InternetConnection object from the Connection package
    */
    private InternetConnection internetConnetion;
    private String toShow = "";
    private Command EXIT;

    /**
    * Constructor to initialize data.
    */
    public CurrencyFinder(MIDlet parent, Form screen) {
        this.parent = parent;
        this.screen = screen;

        EXIT = new Command("KILÉPÉS", Command.OK, 0);
        this.screen.addCommand(EXIT);
    }

    /**
    * Implents run() method of Runnable interface. Gets data from the internet
    * connection and shows it.
    */
    public void run() {
        try {
            internetConnetion = new InternetConnection(Banks.KH, Currencies.EUR);
            toShow = internetConnetion.getCurrencyWritten();
        } catch (Exception ex) {
            toShow = ex.getMessage();
        }

        System.gc();

        screen.setCommandListener(this);

        screen.append(toShow);
    }

    /**
    * Handles commandAction() event of CommandListener interface
    */
    public void commandAction(Command command, Displayable display) {
        if (command == EXIT) {
            parent.notifyDestroyed();
        }
    }
}
